Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000296OpenIVUser interfacepublic2015-03-19 21:132015-03-24 23:55
ReporterAXLiberty 
Assigned ToGooD-NTS 
PrioritylowSeverityminorReproducibilityalways
StatusresolvedResolutionfixed 
PlatformPCOSWindows 7 (x64/x86)OS Version6.1.7600
Product Version2.3 
Target Version2.3.5Fixed in Version2.3.5 
Summary0000296: Archives not opens correctly from Windows File Explorer
Description2) Неправильное открытия архива по средствам аннотации.
Steps To ReproduceШаги для воспроизведения ошибки "Неправильное открытие архива", на примере Max Payne 3:
- Открываем архив common.rpf из произвольной папки (вне OpenIV);
- Вместо нужного нам архива - открывается корневой каталог данных, в котором невозможно ничего открыть.
P.S. после нажатия на раздел "Max Payne 3", мы видим всё тот же корневой каталог, но только теперь у нас всё открывается.
TagsNo tags attached.
Game[ALL]
Attached Files

- Relationships

-  Notes
(0000104)
GooD-NTS (administrator)
2015-03-21 09:27

>> Шаги для воспроизведения ошибки "Неправильное открытие архива", на примере Max Payne 3:

Можно еще подробнее? У меня вот так сразу не получилось воспроизвести.
В идеале небольшое видео или гифка было бы супер.
(0000105)
AXLiberty (reporter)
2015-03-21 19:18

Да, я немного не правильно расписал шаги. Только сейчас заметил, после перепроверки.
В видео всё показано: http://www.youtube.com/watch?v=ztjHfSVlTPw [^]

На всякий случай, вот правильный список шагов:
- Открываем архив common.rpf из произвольной папки (вне OpenIV);
- Мы видим содержимое архива, но папки открыть не можем, только файлы;
---- А в тревью мы видим, что открыт корневой каталог Max Payne 3;
- В тревью нажимаем на наш архив, который по идее уже открыт;
---- Теперь у нас папки открываются нормально.
(0000106)
GooD-NTS (administrator)
2015-03-24 23:41

Разделил на два тикета, всё таки проблемы совершенно разные,
http://openiv.com/bugs/view.php?id=298 [^]

- Issue History
Date Modified Username Field Change
2015-03-19 21:13 AXLiberty New Issue
2015-03-21 09:27 GooD-NTS Note Added: 0000104
2015-03-21 19:18 AXLiberty Note Added: 0000105
2015-03-21 21:15 GooD-NTS Assigned To => GooD-NTS
2015-03-21 21:15 GooD-NTS Status new => assigned
2015-03-21 21:15 GooD-NTS Target Version => 2.3.5
2015-03-24 23:41 GooD-NTS Note Added: 0000106
2015-03-24 23:41 GooD-NTS Summary Баги в пользовательском интерфейсе => Неправильное открытия архива по средствам аннотации.
2015-03-24 23:41 GooD-NTS Description Updated View Revisions
2015-03-24 23:41 GooD-NTS Steps to Reproduce Updated View Revisions
2015-03-24 23:54 GooD-NTS Summary Неправильное открытия архива по средствам аннотации. => Archives not opens correctly from Windows File Explorer
2015-03-24 23:54 GooD-NTS Steps to Reproduce Updated View Revisions
2015-03-24 23:55 GooD-NTS Status assigned => resolved
2015-03-24 23:55 GooD-NTS Fixed in Version => 2.3.5
2015-03-24 23:55 GooD-NTS Resolution open => fixed


Copyright © 2000 - 2010 MantisBT Group
Powered by Mantis Bugtracker